GNU bug report logs - #57589
Guix hands on GDM with wayland

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Grigory Shepelev <shegeley@HIDDEN>; dated Mon, 5 Sep 2022 05:38:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 57589 <at> debbugs.gnu.org:


Received: (at 57589) by debbugs.gnu.org; 6 Sep 2022 11:06:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 07:06:03 2022
Received: from localhost ([127.0.0.1]:49772 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVWP3-0006Ao-Sb
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 07:06:02 -0400
Received: from mail-lj1-f178.google.com ([209.85.208.178]:43771)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <shegeley@HIDDEN>) id 1oVWP1-0006AZ-Ea
 for 57589 <at> debbugs.gnu.org; Tue, 06 Sep 2022 07:06:00 -0400
Received: by mail-lj1-f178.google.com with SMTP id bx38so11833704ljb.10
 for <57589 <at> debbugs.gnu.org>; Tue, 06 Sep 2022 04:05:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=in-reply-to:references:to:from:content-language:subject:user-agent
 :mime-version:date:message-id:from:to:cc:subject:date;
 bh=DcuUnU+CaYhHnKO95NvKMzz4rg2CdVZ51Yh1T8t+LMI=;
 b=f8r2SUVz4xieGJXj43eVFTgY+HibBdFq1CRYk5Nlw3OTBP7Zrn5xp9qWPyGolAYTd0
 /WlYEdmPJcBGWZXSaGsrbXjhP7WRwtLm+UaQaIgO86Nzt4zh3G8keWFi/lEVJFSlRb0P
 fSQQ3pkGm2RuWKDnNqJSLS5GqKnxCP+QitCbUOqmsafeJEbBT71pYHyvp8nRlbQ8YzGx
 vGeq12/NWnTqpzP6Ui2Pp/Jl19awB9e6P2L6vOrlHBKVnT7b/17jHq+Dg6B/gvZu66gv
 FyXDtD9ADjnUjr74M9j7vCN4Q29zoeLdIsiVWcIhH/Divn/VHK220eJ+9g/Yb9OT0oKw
 Bl1g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=in-reply-to:references:to:from:content-language:subject:user-agent
 :mime-version:date:message-id:x-gm-message-state:from:to:cc:subject
 :date;
 bh=DcuUnU+CaYhHnKO95NvKMzz4rg2CdVZ51Yh1T8t+LMI=;
 b=ZGmrORt0wiEMQqb3ueHAVJSpV78KRXGmbpe2+nPR9xiH2bz8zR85Ysmc393mLI+hQm
 YoaupbZl5pP/XJHnV9x4Eo3J2yk02GR3YKHIM9J6dZbu6wKAiqK+Zz8e0Vgci++vGEBU
 Gn/Xl9WJ4qn+pgsq+F5BBhtXrT1hDfEsGi4dgDGIwFHlWbve4UYRuYsDmJJp8W2XHK0h
 tnqPoopsruVPg+uy2sFjzve8vB/tL6DxzflxQKX2ZVTbQBLq/eR/BAQ1gpkQsixdtj+4
 SpiVuQbaZYX5QOEyQXbaytDpCRBs3IS/ldSvUrFo9OUb45rXitGDQnfTCj37P8XaT4TF
 7J/Q==
X-Gm-Message-State: ACgBeo0Ax5r9qET3wwGE37iL7v0ZyOu+km4BbTJRGHVkiJAsz0s/hlMx
 yRBdTIPIrSiN/23i44ay1vyidIrrRmDFks7u
X-Google-Smtp-Source: AA6agR7rumskoMQ03MfrfEl8DtUayXye3fMDMO/WGIIsTNRQZDBfr3XzFvy6bv2r1cZ3+2+U8TVIrw==
X-Received: by 2002:a2e:a785:0:b0:268:a64e:4b49 with SMTP id
 c5-20020a2ea785000000b00268a64e4b49mr8195550ljf.270.1662462352707; 
 Tue, 06 Sep 2022 04:05:52 -0700 (PDT)
Received: from [192.168.2.79] ([37.208.66.128])
 by smtp.gmail.com with ESMTPSA id
 z15-20020a056512370f00b0049476bcfed1sm1665485lfr.207.2022.09.06.04.05.51
 for <57589 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Tue, 06 Sep 2022 04:05:51 -0700 (PDT)
Content-Type: multipart/mixed; boundary="------------80AgXaTrvsuGDBmUd65ughOG"
Message-ID: <ff5841ea-4a03-6c0f-cad8-6bd37a2bfb26@HIDDEN>
Date: Tue, 6 Sep 2022 14:05:50 +0300
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.12.0
Subject: Re: bug#57589: Guix hands on GDM with wayland
Content-Language: en-US
From: Grigory Shepelev <shegeley@HIDDEN>
To: 57589 <at> debbugs.gnu.org
References: <644bfdfa-30b4-f54a-5d16-4efd91d4ed0a@HIDDEN>
 <87bkru1htz.fsf@HIDDEN> <9ffabf4d-6a4a-fb5a-4390-d07a839c2592@HIDDEN>
 <877d2i1dzl.fsf@HIDDEN> <061a6868-e7d5-7283-820d-2bc69f2f736d@HIDDEN>
 <d7d665ee-7cec-85cc-7ecd-745fbf0d313a@HIDDEN>
In-Reply-To: <d7d665ee-7cec-85cc-7ecd-745fbf0d313a@HIDDEN>
X-Spam-Score: 2.7 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Creating new user didn't helped. I created new user (did this
 Guix way, via adding to config and reconfiguring the system) and logged it
 as a new user. Still X11 system displays with `xrandr`,
 and `echo $XDG_SESSION_TYPE`. I don't th [...] 
 Content analysis details:   (2.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.208.178 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: jpoiret.xyz (xyz)]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (shegeley[at]gmail.com)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.208.178 listed in wl.mailspike.net]
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -0.0 NICE_REPLY_A           Looks like a legit reply (A)
 0.5 PDS_BTC_ID             FP reduced Bitcoin ID
 0.2 BITCOIN_SPAM_02        BitCoin spam pattern 02
X-Debbugs-Envelope-To: 57589
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Creating new user didn't helped. I created new user (did this
    Guix way, via adding to config and reconfiguring the system) and logged it
    as a new user. Still X11 system displays with `xrandr`, and `echo $XDG_SESSION_TYPE`.
    I don't th [...] 
 
 Content analysis details:   (1.7 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.208.178 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.208.178 listed in list.dnswl.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: jpoiret.xyz (xyz)]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (shegeley[at]gmail.com)
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -0.0 NICE_REPLY_A           Looks like a legit reply (A)
  0.5 PDS_BTC_ID             FP reduced Bitcoin ID
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.2 BITCOIN_SPAM_02        BitCoin spam pattern 02

This is a multi-part message in MIME format.
--------------80AgXaTrvsuGDBmUd65ughOG
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit

Creating new user didn't helped.

I created new user (did this Guix way, via adding to config and 
reconfiguring the system) and logged it as a new user. Still X11 system 
displays with `xrandr`, and `echo $XDG_SESSION_TYPE`. I don't think 
there is a need to try moving all home files, creating new user should 
be enough to test provided option.

Although I noticed a gear icon below in the right of the gdm screen when 
logging in as a default user (saw that in Ubuntu) with options "GNOME" 
or "GNOME on Xorg". Trying to login in "GNOME" (Wayland supposedly) 
gives a black screen for ~2s.  After couple attempts logged back into 
"GNOME on Xorg".

Attached logs again. They says something about DBUS. Any ideas?

---

(gsd-keyboard:5189): dbind-WARNING **: 13:35:36.273: AT-SPI: Error 
retrieving accessibility bus address: 
org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not 
provided by any .service files
(gsd-xsettings:5219): dbind-WARNING **: 13:35:36.476: AT-SPI: Error 
retrieving accessibility bus address: 
org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not 
provided by any .service files
GNOME Shell-Message: 13:35:36.777: Registering session with GDM
The XKEYBOARD keymap compiler (xkbcomp) reports:
 > Warning:          Unsupported maximum keycode 708, clipping.
 >                   X11 cannot support keycodes above 255.
Errors from xkbcomp are not fatal to the X server
(gnome-shell:5099): mutter-WARNING **: 13:36:02.454: Connection to 
xwayland lost
---

On 05.09.2022 20:55, Grigory Shepelev wrote:
> Had some info from Guix Matrix channel:
> > GDM does wayland too with the option set to #t. I was able to get it 
> to work going back from sddm, but I had to remove the home folder and 
> recreate it from scratch, since gnome session was crashing on login. I 
> had no problem starting gnome on a new account so i figured something 
> was hanging around that cause a problem even after deleting all caches 
> and configs etc.
> > By “home folder” I mean my user’s directory /home/use
>
> https://matrix.to/#/!jivGmMiiorFwdgwaxc:matrix.org/$W4HJQCzv8G0aHM3_PAFrtUaj6Q3aS18vMZCwlMch71I?via=matrix.org&via=hummingbard.com&via=privacytools.io 
> <https://matrix.to/#/!jivGmMiiorFwdgwaxc:matrix.org/$W4HJQCzv8G0aHM3_PAFrtUaj6Q3aS18vMZCwlMch71I?via=matrix.org&via=hummingbard.com&via=privacytools.io> 
>
>
> Most likely will try for new user tomorrow
>
> пн, 5 сент. 2022 г., 16:24 Grigory Shepelev <shegeley@HIDDEN>:
>
>    Oops. I accidentally replied privately to dev@HIDDEN, not
>    mentioning 57589 <at> debbugs.gnu.org. I hope the history can be recovered
>    from this message.
>
>    Josselin recommended to
>
>    - check permissions on /tmp/.X11-unix/ (gdm user should have r+w
>    permissions)
>
>          shegeley@zone51 /tmp$ ls -lah .X11-unix/
>          total 0
>          drwxrwxrwt 2 gdm      gdm    80 сен  5 16:12 ./
>          drwxrwxrwt 6 root     root  160 сен  5 16:16 ../
>          srwxrwxrwx 1 shegeley users   0 сен  5 16:12 X1
>          srwxr-xr-x 1 gdm      gdm     0 сен  5 16:12 X1024
>
>    -  check /var/lib/gdm/, doesn't have the proper permissions
>
>         Hm. That's really strange. For some reason /var/lib/gdm had
>         "transmission" as user-group. I assure you that I didn't 
> explicitly
>         do any "dirty stuff" like that permission changing in my config
>
>
>         shegeley@zone51 /tmp$ sudo ls -lah /var/lib/gdm
>         total 0
>         drwx------ 1 gdm  gdm           38 авг 26 21:46 .
>         drwxr-xr-x 1 root root         248 авг 28 18:37 ..
>         drwxr-xr-x 1  973 transmission  62 авг 26 21:46 .cache
>         drwx------ 1  973 transmission  44 авг 26 21:46 .config
>         drwx------ 1  973 transmission  10 авг 26 21:46 .local
>         shegeley@zone51 /tmp$ sudo chown -R gdm:gdm /var/lib/gdm
>         shegeley@zone51 /tmp$ sudo ls -lah /var/lib/gdm
>         total 0
>         drwx------ 1 gdm  gdm   38 авг 26 21:46 .
>         drwxr-xr-x 1 root root 248 авг 28 18:37 ..
>         drwxr-xr-x 1 gdm  gdm   62 авг 26 21:46 .cache
>         drwx------ 1 gdm  gdm   44 авг 26 21:46 .config
>         drwx------ 1 gdm  gdm   10 авг 26 21:46 .local
>
>
>    After changing it was able to launch into GDM, but with X11 as display
>    manager :( Attached new logs.
>
>
>    On 05.09.2022 10:23, Josselin Poiret wrote:
>     > Hi again,
>     >
>     > Grigory Shepelev<shegeley@HIDDEN> writes:
>     >
>     >> My config is heavily depends on it's directory (passing it with
>     >> --load-path). I can (and will) publish it all (I've been
>    planning to do
>     >> so) but I'd like to polish few parts.
>     >>
>     >> Any exact part are you looking for in config?  I attached my
>    system-wide
>     >> services.
>     > I asked for that partly because it helps identifying common
>    errors, and
>     > it's always better for people debugging to have access to all the
>     > information, and partly because I couldn't see anything that
>    could help
>     > in the logs.  However, it seems mutter can't write into
>    /tmp/.X11-unix/,
>     > could you check that the gdm user has the permission to write
>    there?  It
>     > should be rwxrwxrwx.  I don't see any modification in your config
>    that
>     > would prevent the x11-socket-directory-service from
>    %desktop-services to
>     > run.  Also, it seems that /var/lib/gdm/ doesn't have the proper
>     > permissions, maybe because of [1].  You can try `sudo chown -R
>    gdm:gdm
>     > /var/lib/gdm` to fix that.
>     >
>     > [1]https://issues.guix.gnu.org/36508
>     >
>     > HTH.
>
--------------80AgXaTrvsuGDBmUd65ughOG
Content-Type: text/x-log; charset=UTF-8; name="greeter-13:26-06-09-2022.log"
Content-Disposition: attachment; filename="greeter-13:26-06-09-2022.log"
Content-Transfer-Encoding: base64
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--------------80AgXaTrvsuGDBmUd65ughOG--




Information forwarded to bug-guix@HIDDEN:
bug#57589; Package guix. Full text available.

Message received at 57589 <at> debbugs.gnu.org:


Received: (at 57589) by debbugs.gnu.org; 5 Sep 2022 17:55:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 13:55:28 2022
Received: from localhost ([127.0.0.1]:48771 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVGJk-0005o4-4E
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 13:55:28 -0400
Received: from mail-lf1-f43.google.com ([209.85.167.43]:33689)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <shegeley@HIDDEN>) id 1oVGJh-0005np-HQ
 for 57589 <at> debbugs.gnu.org; Mon, 05 Sep 2022 13:55:26 -0400
Received: by mail-lf1-f43.google.com with SMTP id m1so708575lfj.0
 for <57589 <at> debbugs.gnu.org>; Mon, 05 Sep 2022 10:55:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:in-reply-to:content-language:references
 :to:subject:from:user-agent:mime-version:date:message-id:from:to:cc
 :subject:date; bh=IfjP2Nbl00irm4/JQXN3nG/RO5t7cmL4qFUh7VRnkoA=;
 b=jBdzgg9GMjZgVF60QyT8a1x1jjIquP7tPZYmRZQUozSix9hi9Fiy7azePC5MNPU4f/
 9ZVZL1u2t+nseRj2+TvbC27IatFpy/QvfEm9IonqoJiLOPfFXZpCsTgXEyG/wAO3i8MM
 aUX7B7RCL2YvqIfd4NM2wP+32Apnfc5s9SRYW0amcIyry0pSZoHggSPXfmA3CaNvPC5p
 KzJImwRCH7Eor6BHPTOXXhIsew9G4aqFi88n1hiNJwMOVs/saZ6zWBY+Suu3TP3hlMFV
 ItNddKa0QiB5CBgkRANolCRwwmRClnMyHdAL0/Eqet/hsLOpMkI7SyFKGuMbsYbfDo8W
 fHGw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:in-reply-to:content-language:references
 :to:subject:from:user-agent:mime-version:date:message-id
 :x-gm-message-state:from:to:cc:subject:date;
 bh=IfjP2Nbl00irm4/JQXN3nG/RO5t7cmL4qFUh7VRnkoA=;
 b=03BE25LQi8UgWjl1GEMVg8L98inImyusTQ+9XPZMwbeQRwAPAEhXG8Y6uNkrsTFGBj
 djhkVdJTnhCaGyumaIzb6IVj62r0z+2YqcrJPTW5fTPgC+QPYtpUMMw2G1kfImckmrVa
 Nv5j8J9lJiTuAvNV8nUcCvotCFi+3cR+aUo0xCgFTr6tR3ahIol1QD44GC6C7r1YU02p
 dFEYt81aHUqLCZ+lNlKiYszI8E7RfKB59LDBXZ+HSc3BqrVMtrgVMKO5JUzPnbVof2np
 XKIcf3mYJpPtvcIYDUa4gjAwiyu3Xdu7c+U0hK28AWrFneXRCj166FYRety0ua7a1t0n
 U70w==
X-Gm-Message-State: ACgBeo0uHtKZ7Xd9/CinETW66D3qgPn8hqOw9GmSio7mMN2Wky3kLcP3
 owi6e7tFwS2Hvru6SsQDWiapNKbjet96I5q+gqI=
X-Google-Smtp-Source: AA6agR7DzkB8rt2ZZviBDa8B+V5YSzrGX36tVqoXMjgAIGyiBSengDzV7XUVrhJHYFw4nuaYwybLWA==
X-Received: by 2002:a05:6512:3503:b0:496:517:5818 with SMTP id
 h3-20020a056512350300b0049605175818mr2986151lfs.186.1662400518688; 
 Mon, 05 Sep 2022 10:55:18 -0700 (PDT)
Received: from [192.168.31.115] ([46.172.4.246])
 by smtp.gmail.com with ESMTPSA id
 w10-20020a05651234ca00b00492c5ec6f84sm1249970lfr.249.2022.09.05.10.55.17
 for <57589 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 05 Sep 2022 10:55:18 -0700 (PDT)
Message-ID: <d7d665ee-7cec-85cc-7ecd-745fbf0d313a@HIDDEN>
Date: Mon, 5 Sep 2022 20:55:17 +0300
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.12.0
From: Grigory Shepelev <shegeley@HIDDEN>
Subject: Re: bug#57589: Guix hands on GDM with wayland
To: 57589 <at> debbugs.gnu.org
References: <644bfdfa-30b4-f54a-5d16-4efd91d4ed0a@HIDDEN>
 <87bkru1htz.fsf@HIDDEN> <9ffabf4d-6a4a-fb5a-4390-d07a839c2592@HIDDEN>
 <877d2i1dzl.fsf@HIDDEN> <061a6868-e7d5-7283-820d-2bc69f2f736d@HIDDEN>
Content-Language: en-US
In-Reply-To: <061a6868-e7d5-7283-820d-2bc69f2f736d@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Had some info from Guix Matrix channel: > GDM does wayland
 too with the option set to #t. I was able to get it to work going back from
 sddm, but I had to remove the home folder and recreate it from sc [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.167.43 listed in list.dnswl.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: jpoiret.xyz (xyz)]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (shegeley[at]gmail.com)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.167.43 listed in wl.mailspike.net]
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -0.0 NICE_REPLY_A           Looks like a legit reply (A)
X-Debbugs-Envelope-To: 57589
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Had some info from Guix Matrix channel:
 > GDM does wayland too with the option set to #t. I was able to get it 
to work going back from sddm, but I had to remove the home folder and 
recreate it from scratch, since gnome session was crashing on login. I 
had no problem starting gnome on a new account so i figured something 
was hanging around that cause a problem even after deleting all caches 
and configs etc.
 > By “home folder” I mean my user’s directory /home/use

https://matrix.to/#/!jivGmMiiorFwdgwaxc:matrix.org/$W4HJQCzv8G0aHM3_PAFrtUaj6Q3aS18vMZCwlMch71I?via=matrix.org&via=hummingbard.com&via=privacytools.io 
<https://matrix.to/#/!jivGmMiiorFwdgwaxc:matrix.org/$W4HJQCzv8G0aHM3_PAFrtUaj6Q3aS18vMZCwlMch71I?via=matrix.org&via=hummingbard.com&via=privacytools.io>

Most likely will try for new user tomorrow

пн, 5 сент. 2022 г., 16:24 Grigory Shepelev <shegeley@HIDDEN>:

    Oops. I accidentally replied privately to dev@HIDDEN, not
    mentioning 57589 <at> debbugs.gnu.org. I hope the history can be recovered
    from this message.

    Josselin recommended to

    - check permissions on /tmp/.X11-unix/ (gdm user should have r+w
    permissions)

          shegeley@zone51 /tmp$ ls -lah .X11-unix/
          total 0
          drwxrwxrwt 2 gdm      gdm    80 сен  5 16:12 ./
          drwxrwxrwt 6 root     root  160 сен  5 16:16 ../
          srwxrwxrwx 1 shegeley users   0 сен  5 16:12 X1
          srwxr-xr-x 1 gdm      gdm     0 сен  5 16:12 X1024

    -  check /var/lib/gdm/, doesn't have the proper permissions

         Hm. That's really strange. For some reason /var/lib/gdm had
         "transmission" as user-group. I assure you that I didn't explicitly
         do any "dirty stuff" like that permission changing in my config


         shegeley@zone51 /tmp$ sudo ls -lah /var/lib/gdm
         total 0
         drwx------ 1 gdm  gdm           38 авг 26 21:46 .
         drwxr-xr-x 1 root root         248 авг 28 18:37 ..
         drwxr-xr-x 1  973 transmission  62 авг 26 21:46 .cache
         drwx------ 1  973 transmission  44 авг 26 21:46 .config
         drwx------ 1  973 transmission  10 авг 26 21:46 .local
         shegeley@zone51 /tmp$ sudo chown -R gdm:gdm /var/lib/gdm
         shegeley@zone51 /tmp$ sudo ls -lah /var/lib/gdm
         total 0
         drwx------ 1 gdm  gdm   38 авг 26 21:46 .
         drwxr-xr-x 1 root root 248 авг 28 18:37 ..
         drwxr-xr-x 1 gdm  gdm   62 авг 26 21:46 .cache
         drwx------ 1 gdm  gdm   44 авг 26 21:46 .config
         drwx------ 1 gdm  gdm   10 авг 26 21:46 .local


    After changing it was able to launch into GDM, but with X11 as display
    manager :( Attached new logs.


    On 05.09.2022 10:23, Josselin Poiret wrote:
     > Hi again,
     >
     > Grigory Shepelev<shegeley@HIDDEN> writes:
     >
     >> My config is heavily depends on it's directory (passing it with
     >> --load-path). I can (and will) publish it all (I've been
    planning to do
     >> so) but I'd like to polish few parts.
     >>
     >> Any exact part are you looking for in config?  I attached my
    system-wide
     >> services.
     > I asked for that partly because it helps identifying common
    errors, and
     > it's always better for people debugging to have access to all the
     > information, and partly because I couldn't see anything that
    could help
     > in the logs.  However, it seems mutter can't write into
    /tmp/.X11-unix/,
     > could you check that the gdm user has the permission to write
    there?  It
     > should be rwxrwxrwx.  I don't see any modification in your config
    that
     > would prevent the x11-socket-directory-service from
    %desktop-services to
     > run.  Also, it seems that /var/lib/gdm/ doesn't have the proper
     > permissions, maybe because of [1].  You can try `sudo chown -R
    gdm:gdm
     > /var/lib/gdm` to fix that.
     >
     > [1]https://issues.guix.gnu.org/36508
     >
     > HTH.





Information forwarded to bug-guix@HIDDEN:
bug#57589; Package guix. Full text available.

Message received at 57589 <at> debbugs.gnu.org:


Received: (at 57589) by debbugs.gnu.org; 5 Sep 2022 13:24:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 09:24:33 2022
Received: from localhost ([127.0.0.1]:46830 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVC5Z-0002fg-MX
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 09:24:33 -0400
Received: from mail-lf1-f51.google.com ([209.85.167.51]:33436)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <shegeley@HIDDEN>) id 1oVC5X-0002fT-LP
 for 57589 <at> debbugs.gnu.org; Mon, 05 Sep 2022 09:24:32 -0400
Received: by mail-lf1-f51.google.com with SMTP id br21so13221484lfb.0
 for <57589 <at> debbugs.gnu.org>; Mon, 05 Sep 2022 06:24:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=in-reply-to:content-language:references:to:subject:from:user-agent
 :mime-version:date:message-id:from:to:cc:subject:date;
 bh=m6HyBoGCthqdaNWStjyEO023WP9TzJ9sR9uWi7e3bOs=;
 b=B/4IWhMosiKhxikkr5BSqmP44oY8cVMCSigsqGS0UrOfWSYbZSD71EyG9sZgaJ3X0h
 mfnahCcDx92nS7KZntNiq4O6U/JAwiHYjyO9CZh+axr8o4Dke9O3X8v1St5CPO+YPqol
 wqgLKeoY0zrEOF7NHKdaPi+xOyN9VHxahYXf6V2zI3gIHmCtBNprzoDqqWtmeNM55iQh
 KxJqGiMc6NFngdetgS1Bufe5yWHr14xM2OayuL2+hjZXC1db1mABn2B7QBB++yAwykCz
 5FI0d8+/VrHIzcYmbarg5V7wVsSRoODrUowRM7MAIg/mWwnIBY4NndF6ZrUmdXfijZkb
 Vneg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=in-reply-to:content-language:references:to:subject:from:user-agent
 :mime-version:date:message-id:x-gm-message-state:from:to:cc:subject
 :date;
 bh=m6HyBoGCthqdaNWStjyEO023WP9TzJ9sR9uWi7e3bOs=;
 b=Jkc6oWmuIBLD5KlIPO3qVOXA9ILO1c2zdyRhkYhAfi8qETfZGv9nmtJT0gXObW9wYf
 ysTYXoC7IPegDPIW632q3DsckSMa2L+mvYc5th9kCjTj10UWpc850Zb/Ri7j5nREN3iG
 EEv2ebglVIMO/UEYE0WEOdoK+rcOw5aL/600g8gEzVfkbdOih99FVM0lt0u78xhkZYlT
 oxEZ1785Rhh4b5xeP3ChDTBhKZGNVpSbFPtTI07BbS7HBQzF+eQLx+4VYbfsm9gX1vp7
 D7RCh9/Hoc9jChZ9mVdikq6UB0OGpWlIrAck3pQp4QkNicfHAMkb8R+cPWtJKk8ldbvj
 izAA==
X-Gm-Message-State: ACgBeo2fti+h6xOHFnVPncAlhoizhJ9l88DEhXAMF1pF64gRHFZx9mXn
 j5xTIvA95r18ifOMUlAhYAz1jEMR1RWi3jihVQw=
X-Google-Smtp-Source: AA6agR4Rp9ZgrTlOLkl0IEVbsCi9t+LXQQZZk/DSB25h2s/Dt8ggXy9e9lJreXtY74W7pJgc5z2A8Q==
X-Received: by 2002:ac2:44a3:0:b0:494:6c0e:5468 with SMTP id
 c3-20020ac244a3000000b004946c0e5468mr10636240lfm.425.1662384264931; 
 Mon, 05 Sep 2022 06:24:24 -0700 (PDT)
Received: from [192.168.31.115] ([46.172.4.246])
 by smtp.gmail.com with ESMTPSA id
 u9-20020ac258c9000000b0048b064707ebsm1196650lfo.103.2022.09.05.06.24.23
 for <57589 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 05 Sep 2022 06:24:23 -0700 (PDT)
Content-Type: multipart/mixed; boundary="------------DsVjwzip2y7zgmjFAgWf4IPB"
Message-ID: <061a6868-e7d5-7283-820d-2bc69f2f736d@HIDDEN>
Date: Mon, 5 Sep 2022 16:24:22 +0300
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.12.0
From: Grigory Shepelev <shegeley@HIDDEN>
Subject: Re: bug#57589: Guix hands on GDM with wayland
To: 57589 <at> debbugs.gnu.org
References: <644bfdfa-30b4-f54a-5d16-4efd91d4ed0a@HIDDEN>
 <87bkru1htz.fsf@HIDDEN> <9ffabf4d-6a4a-fb5a-4390-d07a839c2592@HIDDEN>
 <877d2i1dzl.fsf@HIDDEN>
Content-Language: en-US
In-Reply-To: <877d2i1dzl.fsf@HIDDEN>
X-Debbugs-Envelope-To: 57589
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

This is a multi-part message in MIME format.
--------------DsVjwzip2y7zgmjFAgWf4IPB
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit

Oops. I accidentally replied privately to dev@HIDDEN, not 
mentioning 57589 <at> debbugs.gnu.org. I hope the history can be recovered 
from this message.

Josselin recommended to

- check permissions on /tmp/.X11-unix/ (gdm user should have r+w 
permissions)

     shegeley@zone51 /tmp$ ls -lah .X11-unix/
     total 0
     drwxrwxrwt 2 gdm      gdm    80 сен  5 16:12 ./
     drwxrwxrwt 6 root     root  160 сен  5 16:16 ../
     srwxrwxrwx 1 shegeley users   0 сен  5 16:12 X1
     srwxr-xr-x 1 gdm      gdm     0 сен  5 16:12 X1024

-  check /var/lib/gdm/, doesn't have the proper permissions

    Hm. That's really strange. For some reason /var/lib/gdm had
    "transmission" as user-group. I assure you that I didn't explicitly
    do any "dirty stuff" like that permission changing in my config


    shegeley@zone51 /tmp$ sudo ls -lah /var/lib/gdm
    total 0
    drwx------ 1 gdm  gdm           38 авг 26 21:46 .
    drwxr-xr-x 1 root root         248 авг 28 18:37 ..
    drwxr-xr-x 1  973 transmission  62 авг 26 21:46 .cache
    drwx------ 1  973 transmission  44 авг 26 21:46 .config
    drwx------ 1  973 transmission  10 авг 26 21:46 .local
    shegeley@zone51 /tmp$ sudo chown -R gdm:gdm /var/lib/gdm
    shegeley@zone51 /tmp$ sudo ls -lah /var/lib/gdm
    total 0
    drwx------ 1 gdm  gdm   38 авг 26 21:46 .
    drwxr-xr-x 1 root root 248 авг 28 18:37 ..
    drwxr-xr-x 1 gdm  gdm   62 авг 26 21:46 .cache
    drwx------ 1 gdm  gdm   44 авг 26 21:46 .config
    drwx------ 1 gdm  gdm   10 авг 26 21:46 .local


After changing it was able to launch into GDM, but with X11 as display 
manager :( Attached new logs.


On 05.09.2022 10:23, Josselin Poiret wrote:
> Hi again,
>
> Grigory Shepelev<shegeley@HIDDEN>  writes:
>
>> My config is heavily depends on it's directory (passing it with
>> --load-path). I can (and will) publish it all (I've been planning to do
>> so) but I'd like to polish few parts.
>>
>> Any exact part are you looking for in config?  I attached my system-wide
>> services.
> I asked for that partly because it helps identifying common errors, and
> it's always better for people debugging to have access to all the
> information, and partly because I couldn't see anything that could help
> in the logs.  However, it seems mutter can't write into /tmp/.X11-unix/,
> could you check that the gdm user has the permission to write there?  It
> should be rwxrwxrwx.  I don't see any modification in your config that
> would prevent the x11-socket-directory-service from %desktop-services to
> run.  Also, it seems that /var/lib/gdm/ doesn't have the proper
> permissions, maybe because of [1].  You can try `sudo chown -R gdm:gdm
> /var/lib/gdm` to fix that.
>
> [1]https://issues.guix.gnu.org/36508
>
> HTH.
--------------DsVjwzip2y7zgmjFAgWf4IPB
Content-Type: text/x-log; charset=UTF-8; name="greeter.log"
Content-Disposition: attachment; filename="greeter.log"
Content-Transfer-Encoding: base64
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==

--------------DsVjwzip2y7zgmjFAgWf4IPB
Content-Type: text/plain; charset=UTF-8; name="greeter.log.1"
Content-Disposition: attachment; filename="greeter.log.1"
Content-Transfer-Encoding: base64

Z25vbWUtc2Vzc2lvbi1iaW5hcnlbMTIyN106IFdBUk5JTkc6IEZhaWxlZCB0byB1cGxvYWQg
ZW52aXJvbm1lbnQgdG8gc3lzdGVtZDogR0RCdXMuRXJyb3I6b3JnLmZyZWVkZXNrdG9wLkRC
dXMuRXJyb3IuTmFtZUhhc05vT3duZXI6IE5hbWUgIm9yZy5mcmVlZGVza3RvcC5zeXN0ZW1k
MSIgZG9lcyBub3QgZXhpc3QKX0ljZVRyYW5zbWtkaXI6IEVSUk9SOiBldWlkICE9IDAsZGly
ZWN0b3J5IC90bXAvLklDRS11bml4IHdpbGwgbm90IGJlIGNyZWF0ZWQuCm11dHRlci1NZXNz
YWdlOiAxNjoxMjoxNy4xNTg6IFJ1bm5pbmcgR05PTUUgU2hlbGwgKHVzaW5nIG11dHRlciA0
MS4wKSBhcyBhIFdheWxhbmQgZGlzcGxheSBzZXJ2ZXIKbXV0dGVyLU1lc3NhZ2U6IDE2OjEy
OjE3LjE3ODogRGV2aWNlICcvZGV2L2RyaS9jYXJkMCcgcHJlZmVycyBzaGFkb3cgYnVmZmVy
Cm11dHRlci1NZXNzYWdlOiAxNjoxMjoxNy4xODE6IEFkZGVkIGRldmljZSAnL2Rldi9kcmkv
Y2FyZDAnIChpOTE1KSB1c2luZyBhdG9taWMgbW9kZSBzZXR0aW5nLgptdXR0ZXItTWVzc2Fn
ZTogMTY6MTI6MTcuNjUzOiBCb290IFZHQSBHUFUgL2Rldi9kcmkvY2FyZDAgc2VsZWN0ZWQg
YXMgcHJpbWFyeQoKKGdub21lLXNoZWxsOjEyNDIpOiBkYmluZC1XQVJOSU5HICoqOiAxNjox
MjoxOC4zMDI6IEFULVNQSTogRXJyb3IgcmV0cmlldmluZyBhY2Nlc3NpYmlsaXR5IGJ1cyBh
ZGRyZXNzOiBvcmcuZnJlZWRlc2t0b3AuREJ1cy5FcnJvci5TZXJ2aWNlVW5rbm93bjogVGhl
IG5hbWUgb3JnLmExMXkuQnVzIHdhcyBub3QgcHJvdmlkZWQgYnkgYW55IC5zZXJ2aWNlIGZp
bGVzCgooZ25vbWUtc2hlbGw6MTI0Mik6IG11dHRlci1FUlJPUiAqKjogMTY6MTI6MTguMzQ4
OiBGYWlsZWQgdG8gc3RhcnQgWCBXYXlsYW5kOiBEaXJlY3RvcnkgIi90bXAvLlgxMS11bml4
IiBpcyBub3Qgd3JpdGFibGUKPT0gU3RhY2sgdHJhY2UgZm9yIGNvbnRleHQgMHgxOGQxMTkw
ID09Cmdub21lLXNlc3Npb24tYmluYXJ5WzEyMjddOiBXQVJOSU5HOiBBcHBsaWNhdGlvbiAn
b3JnLmdub21lLlNoZWxsLmRlc2t0b3AnIGtpbGxlZCBieSBzaWduYWwgNQo=
--------------DsVjwzip2y7zgmjFAgWf4IPB
Content-Type: text/plain; charset=UTF-8; name="greeter.log.2"
Content-Disposition: attachment; filename="greeter.log.2"
Content-Transfer-Encoding: base64
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--------------DsVjwzip2y7zgmjFAgWf4IPB
Content-Type: text/plain; charset=UTF-8; name="greeter.log.3"
Content-Disposition: attachment; filename="greeter.log.3"
Content-Transfer-Encoding: base64

Z25vbWUtc2Vzc2lvbi1iaW5hcnlbODY0XTogV0FSTklORzogRmFpbGVkIHRvIHVwbG9hZCBl
bnZpcm9ubWVudCB0byBzeXN0ZW1kOiBHREJ1cy5FcnJvcjpvcmcuZnJlZWRlc2t0b3AuREJ1
cy5FcnJvci5OYW1lSGFzTm9Pd25lcjogTmFtZSAib3JnLmZyZWVkZXNrdG9wLnN5c3RlbWQx
IiBkb2VzIG5vdCBleGlzdApfSWNlVHJhbnNta2RpcjogRVJST1I6IGV1aWQgIT0gMCxkaXJl
Y3RvcnkgL3RtcC8uSUNFLXVuaXggd2lsbCBub3QgYmUgY3JlYXRlZC4KbXV0dGVyLU1lc3Nh
Z2U6IDE2OjA0OjUxLjY2MjogUnVubmluZyBHTk9NRSBTaGVsbCAodXNpbmcgbXV0dGVyIDQx
LjApIGFzIGEgV2F5bGFuZCBkaXNwbGF5IHNlcnZlcgptdXR0ZXItTWVzc2FnZTogMTY6MDQ6
NTEuNjgxOiBEZXZpY2UgJy9kZXYvZHJpL2NhcmQwJyBwcmVmZXJzIHNoYWRvdyBidWZmZXIK
bXV0dGVyLU1lc3NhZ2U6IDE2OjA0OjUxLjY4NDogQWRkZWQgZGV2aWNlICcvZGV2L2RyaS9j
YXJkMCcgKGk5MTUpIHVzaW5nIGF0b21pYyBtb2RlIHNldHRpbmcuCm11dHRlci1NZXNzYWdl
OiAxNjowNDo1Mi4xNDI6IEJvb3QgVkdBIEdQVSAvZGV2L2RyaS9jYXJkMCBzZWxlY3RlZCBh
cyBwcmltYXJ5CgooZ25vbWUtc2hlbGw6ODkyKTogZGJpbmQtV0FSTklORyAqKjogMTY6MDQ6
NTIuOTAwOiBBVC1TUEk6IEVycm9yIHJldHJpZXZpbmcgYWNjZXNzaWJpbGl0eSBidXMgYWRk
cmVzczogb3JnLmZyZWVkZXNrdG9wLkRCdXMuRXJyb3IuU2VydmljZVVua25vd246IFRoZSBu
YW1lIG9yZy5hMTF5LkJ1cyB3YXMgbm90IHByb3ZpZGVkIGJ5IGFueSAuc2VydmljZSBmaWxl
cwoKKGdub21lLXNoZWxsOjg5Mik6IG11dHRlci1FUlJPUiAqKjogMTY6MDQ6NTIuOTQyOiBG
YWlsZWQgdG8gc3RhcnQgWCBXYXlsYW5kOiBEaXJlY3RvcnkgIi90bXAvLlgxMS11bml4IiBp
cyBub3Qgd3JpdGFibGUKPT0gU3RhY2sgdHJhY2UgZm9yIGNvbnRleHQgMHgxZjAxMWEwID09
Cmdub21lLXNlc3Npb24tYmluYXJ5Wzg2NF06IFdBUk5JTkc6IEFwcGxpY2F0aW9uICdvcmcu
Z25vbWUuU2hlbGwuZGVza3RvcCcga2lsbGVkIGJ5IHNpZ25hbCA1Cg==
--------------DsVjwzip2y7zgmjFAgWf4IPB
Content-Type: text/plain; charset=UTF-8; name="greeter.log.4"
Content-Disposition: attachment; filename="greeter.log.4"
Content-Transfer-Encoding: base64
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--------------DsVjwzip2y7zgmjFAgWf4IPB--




Information forwarded to bug-guix@HIDDEN:
bug#57589; Package guix. Full text available.

Message received at 57589 <at> debbugs.gnu.org:


Received: (at 57589) by debbugs.gnu.org; 5 Sep 2022 06:00:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 02:00:31 2022
Received: from localhost ([127.0.0.1]:46159 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oV59r-0005WK-Az
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 02:00:31 -0400
Received: from jpoiret.xyz ([206.189.101.64]:36188)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1oV59m-0005W4-EV
 for 57589 <at> debbugs.gnu.org; Mon, 05 Sep 2022 02:00:29 -0400
Received: from authenticated-user (jpoiret.xyz [206.189.101.64])
 by jpoiret.xyz (Postfix) with ESMTPA id 1CF98185306;
 Mon,  5 Sep 2022 06:00:25 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz; s=dkim;
 t=1662357625;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=kr3YGtGF/lkSXeK2aETZpKXIBU3mUEYawJYm2+HuL0U=;
 b=F4IieWE9GoF7GbwIPuAoFAGBYYdQv+X/vM8QKH+19qNPn5vDy+bt+a/oX0NvqCB1PJlFaN
 PLVkmdbbnPz8Wonzg3WdleuqRz/qI4YZiF+DzojkUgRKvU+r9NYuOK7WvFbEDzBYxdDgfg
 Bihmf+c8YM1n3RVR/6z23xyXMHZY1akXV/kgJQOVm+IEQ4g/nshjXH1xS/DiA9HP+tbd8j
 szeJfPMghn5KPnCVRkKQb3t48q0faR8gnMkFtTRBAAtX2dmhbVFOTHSdNn7qPm84BDBvHl
 GcubQXEpxLyIuVszRYwkj1tjp1bQw29oOSRy31YWYPBLZPkYoSocXrdd4Tg8lg==
From: Josselin Poiret <dev@HIDDEN>
To: Grigory Shepelev <shegeley@HIDDEN>, 57589 <at> debbugs.gnu.org
Subject: Re: bug#57589: Guix hands on GDM with wayland
In-Reply-To: <644bfdfa-30b4-f54a-5d16-4efd91d4ed0a@HIDDEN>
References: <644bfdfa-30b4-f54a-5d16-4efd91d4ed0a@HIDDEN>
Date: Mon, 05 Sep 2022 08:00:24 +0200
Message-ID: <87bkru1htz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Authentication-Results: jpoiret.xyz;
 auth=pass smtp.auth=jpoiret@HIDDEN smtp.mailfrom=dev@HIDDEN
X-Spamd-Bar: /
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi, Could you also attach the relevant parts of your config
 files? Best, -- Josselin Poiret 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: jpoiret.xyz (xyz)]
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 0.0 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 57589
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi, Could you also attach the relevant parts of your config
    files? Best, -- Josselin Poiret 
 
 Content analysis details:   (2.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: jpoiret.xyz (xyz)]
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
  0.0 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Hi,

Could you also attach the relevant parts of your config files?

Best,
-- 
Josselin Poiret




Information forwarded to bug-guix@HIDDEN:
bug#57589; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Sep 2022 05:37:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 01:37:35 2022
Received: from localhost ([127.0.0.1]:46144 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oV4nf-0004oz-1X
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 01:37:35 -0400
Received: from lists.gnu.org ([209.51.188.17]:36018)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <shegeley@HIDDEN>) id 1oV4nd-0004os-S7
 for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 01:37:33 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51606)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <shegeley@HIDDEN>)
 id 1oV4nd-0001Tv-JP
 for bug-guix@HIDDEN; Mon, 05 Sep 2022 01:37:33 -0400
Received: from mail-lj1-x22e.google.com ([2a00:1450:4864:20::22e]:41634)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <shegeley@HIDDEN>)
 id 1oV4nX-0005MI-Eb
 for bug-guix@HIDDEN; Mon, 05 Sep 2022 01:37:33 -0400
Received: by mail-lj1-x22e.google.com with SMTP id b19so8085576ljf.8
 for <bug-guix@HIDDEN>; Sun, 04 Sep 2022 22:37:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=subject:from:to:content-language:user-agent:mime-version:date
 :message-id:from:to:cc:subject:date;
 bh=QxosX+LT7VpTMYxuX6VGset5Cg/+op0cLtphXldywRE=;
 b=Q6TuteMbG6vytTecEozmGKIXAQR/gW9QfJ8Xm9M1HmG/S/N8p+Pe4K74iC6BA8u7hy
 0F9P8wNePfXNP/GrWhg6U2hRg/cZLXnP6D8UY5COG4TkTOV79Ovdybtc4/Mod979ewyP
 F1eh3vyOXoDMeVAwbyi2zpnsCV/GznyVb+46iLWkjSuHMXuOPdnxe9C2wwFrOiJuKQNo
 v4yBtfrbdu61ISHdYhP1S0vML7dMptyZDCyoQ1jBvmEK+Chkp5/jw+EiPSzzd9FyBEK0
 8sOTeGqnvd/9nStlXiZel0saal2WGnX144w6eW7RU7KOpXScLepAiejzphlFucaNEtew
 +VaA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=subject:from:to:content-language:user-agent:mime-version:date
 :message-id:x-gm-message-state:from:to:cc:subject:date;
 bh=QxosX+LT7VpTMYxuX6VGset5Cg/+op0cLtphXldywRE=;
 b=21Ffpy9CcAh+Uu5ldDf8+ODWjq0uHneNpblQLzirYCSJorixJdrmBIIO55Gls7GkhC
 7bAaOBgsSHwem2s/ucb0GTWBuU8x8YcTVkxBCwTNzLulLsDjgHHa+hSJYYvznJFaNDJ2
 g4AN4XPQFvw4ejsz97MErAqo3kboGdMFGQw4mEtwuSVFfeB2QG+7jdVVXKdtsNAoKEgP
 Hh+ea0FwQZEB46kKyMTehSHRjmi5Ovc2UzDmSbTA2sY+KnQc5vxwC+B22dTDZ8/XX4vW
 EH96NxNt2+NIcOYlMLh0CnfTHjtLP6YYF4z18F9jZAHgCFvGDKgLQUw7TmB1qik8tqL+
 kr+A==
X-Gm-Message-State: ACgBeo2o6/oDs8xzDc1uc2yxNGsUdW+Zry4xVn973tsVH1vhKU5EgikX
 XC8z+qSRf2Zj5U1uugQoFyjDxzXKyvM3o031
X-Google-Smtp-Source: AA6agR6+lzFtxAAwpZIHk79Ym6km7/rDb/iYWQewU5XJeO/JGp6BC9STGCv0uyQNF2jHCC6K76/6mw==
X-Received: by 2002:a05:651c:a12:b0:268:c715:910f with SMTP id
 k18-20020a05651c0a1200b00268c715910fmr5383242ljq.484.1662356243890; 
 Sun, 04 Sep 2022 22:37:23 -0700 (PDT)
Received: from [192.168.31.115] ([46.172.4.246])
 by smtp.gmail.com with ESMTPSA id
 w3-20020ac25983000000b0048a83336343sm1071510lfn.252.2022.09.04.22.37.22
 for <bug-guix@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sun, 04 Sep 2022 22:37:22 -0700 (PDT)
Content-Type: multipart/mixed; boundary="------------q7gX455fr4Xqh0V8hQ7VnE7m"
Message-ID: <644bfdfa-30b4-f54a-5d16-4efd91d4ed0a@HIDDEN>
Date: Mon, 5 Sep 2022 08:37:21 +0300
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.12.0
Content-Language: en-US
To: bug-guix@HIDDEN
From: Grigory Shepelev <shegeley@HIDDEN>
Subject: Guix hands on GDM with wayland
Received-SPF: pass client-ip=2a00:1450:4864:20::22e;
 envelope-from=shegeley@HIDDEN; helo=mail-lj1-x22e.google.com
X-Spam_score_int: -15
X-Spam_score: -1.6
X-Spam_bar: -
X-Spam_report: (-1.6 / 5.0 requ) BAYES_00=-1.9, BITCOIN_SPAM_02=0.014,
 DKIM_SIGNED=0.1, DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_FROM=0.001, PDS_BTC_ID=0.499, RCVD_IN_DNSWL_NONE=-0.0001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

This is a multi-part message in MIME format.
--------------q7gX455fr4Xqh0V8hQ7VnE7m
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit

Using Guix and Guix Home, having troubles starting GDM with (wayland? 
#t) as described. On putting this option in config and reconfiguring 
laptop just hangs on login on "default" graphical (alt+ctrl+f7) tty, 
black screen nothing happens. (excuse me for probably technically 
incorrect terms)

Attached all logs (from /var/log/gdm). A lot of errors. Some of them are

- dbus-daemon[861]: Cannot setup inotify for 
'/var/lib/gdm/.local/share/dbus-1/services'; error 'Permission denied'

- gnome-session-binary[862]: WARNING: Unable to find required component 
'org.gnome.Shell'

- gnome-session-binary[862]: WARNING: GsmSessionSave: Failed to create 
directory /var/lib/gdm/.config/gnome-session/saved-session: Permission 
denied

- gnome-session-binary[862]: WARNING: Unable to find required component 
'org.gnome.SettingsDaemon.Rfkill'

- Failed to StopUnit service: GDBus.Error:org.freedesktop.DBus.Error.*: 
The name org.freedesktop.systemd1 was not provided by any .service files

- (gsd-a11y-settings:910): GLib-GIO-WARNING **: 21:58:01.344: Error 
releasing name org.gnome.SettingsDaemon.A11ySettings: The connection is 
closed

--------------q7gX455fr4Xqh0V8hQ7VnE7m
Content-Type: text/plain; charset=UTF-8; name="greeter.log.4"
Content-Disposition: attachment; filename="greeter.log.4"
Content-Transfer-Encoding: base64

KEVFKSAKRmF0YWwgc2VydmVyIGVycm9yOgooRUUpIENhbm5vdCBvcGVuIGxvZyBmaWxlICIv
dmFyL2xpYi9nZG0vLmxvY2FsL3NoYXJlL3hvcmcvWG9yZy5waWQtOTMyLmxvZyIKKEVFKSAK
KEVFKSAKUGxlYXNlIGNvbnN1bHQgdGhlIFRoZSBYLk9yZyBGb3VuZGF0aW9uIHN1cHBvcnQg
CgkgYXQgaHR0cDovL3dpa2kueC5vcmcKIGZvciBoZWxwLiAKKEVFKSAKVW5hYmxlIHRvIHJ1
biBYIHNlcnZlcgo=
--------------q7gX455fr4Xqh0V8hQ7VnE7m
Content-Type: text/plain; charset=UTF-8; name="greeter.log.3"
Content-Disposition: attachment; filename="greeter.log.3"
Content-Transfer-Encoding: base64
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--------------q7gX455fr4Xqh0V8hQ7VnE7m
Content-Type: text/plain; charset=UTF-8; name="greeter.log.2"
Content-Disposition: attachment; filename="greeter.log.2"
Content-Transfer-Encoding: base64

Z25vbWUtc2Vzc2lvbi1iaW5hcnlbMTIzOV06IFdBUk5JTkc6IEZhaWxlZCB0byB1cGxvYWQg
ZW52aXJvbm1lbnQgdG8gc3lzdGVtZDogR0RCdXMuRXJyb3I6b3JnLmZyZWVkZXNrdG9wLkRC
dXMuRXJyb3IuTmFtZUhhc05vT3duZXI6IE5hbWUgIm9yZy5mcmVlZGVza3RvcC5zeXN0ZW1k
MSIgZG9lcyBub3QgZXhpc3QKX0ljZVRyYW5zbWtkaXI6IEVSUk9SOiBldWlkICE9IDAsZGly
ZWN0b3J5IC90bXAvLklDRS11bml4IHdpbGwgbm90IGJlIGNyZWF0ZWQuCm11dHRlci1NZXNz
YWdlOiAyMTo0NjoyNi4wNjk6IFJ1bm5pbmcgR05PTUUgU2hlbGwgKHVzaW5nIG11dHRlciA0
MS4wKSBhcyBhIFdheWxhbmQgZGlzcGxheSBzZXJ2ZXIKbXV0dGVyLU1lc3NhZ2U6IDIxOjQ2
OjI2LjA4NzogRGV2aWNlICcvZGV2L2RyaS9jYXJkMCcgcHJlZmVycyBzaGFkb3cgYnVmZmVy
Cm11dHRlci1NZXNzYWdlOiAyMTo0NjoyNi4xMzg6IEFkZGVkIGRldmljZSAnL2Rldi9kcmkv
Y2FyZDAnIChpOTE1KSB1c2luZyBhdG9taWMgbW9kZSBzZXR0aW5nLgptdXR0ZXItTWVzc2Fn
ZTogMjE6NDY6MjYuNjExOiBCb290IFZHQSBHUFUgL2Rldi9kcmkvY2FyZDAgc2VsZWN0ZWQg
YXMgcHJpbWFyeQoKKGdub21lLXNoZWxsOjEyNTQpOiBkYmluZC1XQVJOSU5HICoqOiAyMTo0
NjoyNy4zMzY6IEFULVNQSTogRXJyb3IgcmV0cmlldmluZyBhY2Nlc3NpYmlsaXR5IGJ1cyBh
ZGRyZXNzOiBvcmcuZnJlZWRlc2t0b3AuREJ1cy5FcnJvci5TZXJ2aWNlVW5rbm93bjogVGhl
IG5hbWUgb3JnLmExMXkuQnVzIHdhcyBub3QgcHJvdmlkZWQgYnkgYW55IC5zZXJ2aWNlIGZp
bGVzCgooZ25vbWUtc2hlbGw6MTI1NCk6IG11dHRlci1FUlJPUiAqKjogMjE6NDY6MjcuMzgy
OiBGYWlsZWQgdG8gc3RhcnQgWCBXYXlsYW5kOiBEaXJlY3RvcnkgIi90bXAvLlgxMS11bml4
IiBpcyBub3Qgd3JpdGFibGUKPT0gU3RhY2sgdHJhY2UgZm9yIGNvbnRleHQgMHgyMDAwMWQw
ID09Cmdub21lLXNlc3Npb24tYmluYXJ5WzEyMzldOiBXQVJOSU5HOiBBcHBsaWNhdGlvbiAn
b3JnLmdub21lLlNoZWxsLmRlc2t0b3AnIGtpbGxlZCBieSBzaWduYWwgNQo=
--------------q7gX455fr4Xqh0V8hQ7VnE7m
Content-Type: text/plain; charset=UTF-8; name="greeter.log.1"
Content-Disposition: attachment; filename="greeter.log.1"
Content-Transfer-Encoding: base64
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--------------q7gX455fr4Xqh0V8hQ7VnE7m
Content-Type: text/x-log; charset=UTF-8; name="greeter.log"
Content-Disposition: attachment; filename="greeter.log"
Content-Transfer-Encoding: base64

ZGJ1cy1kYWVtb25bODUxXTogQ2Fubm90IHNldHVwIGlub3RpZnkgZm9yICcvdmFyL2xpYi9n
ZG0vLmxvY2FsL3NoYXJlL2RidXMtMS9zZXJ2aWNlcyc7IGVycm9yICdQZXJtaXNzaW9uIGRl
bmllZCcKZGJ1cy1kYWVtb25bODYxXTogQ2Fubm90IHNldHVwIGlub3RpZnkgZm9yICcvdmFy
L2xpYi9nZG0vLmxvY2FsL3NoYXJlL2RidXMtMS9zZXJ2aWNlcyc7IGVycm9yICdQZXJtaXNz
aW9uIGRlbmllZCcKZ25vbWUtc2Vzc2lvbi1iaW5hcnlbODYyXTogV0FSTklORzogRmFpbGVk
IHRvIHVwbG9hZCBlbnZpcm9ubWVudCB0byBzeXN0ZW1kOiBHREJ1cy5FcnJvcjpvcmcuZnJl
ZWRlc2t0b3AuREJ1cy5FcnJvci5OYW1lSGFzTm9Pd25lcjogTmFtZSAib3JnLmZyZWVkZXNr
dG9wLnN5c3RlbWQxIiBkb2VzIG5vdCBleGlzdApfSWNlVHJhbnNta2RpcjogRVJST1I6IGV1
aWQgIT0gMCxkaXJlY3RvcnkgL3RtcC8uSUNFLXVuaXggd2lsbCBub3QgYmUgY3JlYXRlZC4K
Z25vbWUtc2Vzc2lvbi1iaW5hcnlbODYyXTogV0FSTklORzogR3NtU2Vzc2lvblNhdmU6IEZh
aWxlZCB0byBjcmVhdGUgZGlyZWN0b3J5IC92YXIvbGliL2dkbS8uY29uZmlnL2dub21lLXNl
c3Npb24vc2F2ZWQtc2Vzc2lvbjogUGVybWlzc2lvbiBkZW5pZWQKZ25vbWUtc2Vzc2lvbi1i
aW5hcnlbODYyXTogV0FSTklORzogR3NtU2Vzc2lvblNhdmU6IGNvdWxkIG5vdCBjcmVhdGUg
ZGlyZWN0b3J5IGZvciBzYXZlZCBzZXNzaW9uOiAvdmFyL2xpYi9nZG0vLmNvbmZpZy9nbm9t
ZS1zZXNzaW9uL3NhdmVkLXNlc3Npb24KZ25vbWUtc2Vzc2lvbi1iaW5hcnlbODYyXTogV0FS
TklORzogVW5hYmxlIHRvIGZpbmQgcmVxdWlyZWQgY29tcG9uZW50ICdvcmcuZ25vbWUuU2hl
bGwnCmdub21lLXNlc3Npb24tYmluYXJ5Wzg2Ml06IFdBUk5JTkc6IEdzbVNlc3Npb25TYXZl
OiBGYWlsZWQgdG8gY3JlYXRlIGRpcmVjdG9yeSAvdmFyL2xpYi9nZG0vLmNvbmZpZy9nbm9t
ZS1zZXNzaW9uL3NhdmVkLXNlc3Npb246IFBlcm1pc3Npb24gZGVuaWVkCmdub21lLXNlc3Np
b24tYmluYXJ5Wzg2Ml06IFdBUk5JTkc6IFVuYWJsZSB0byBmaW5kIHJlcXVpcmVkIGNvbXBv
bmVudCAnb3JnLmdub21lLlNldHRpbmdzRGFlbW9uLkExMXlTZXR0aW5ncycKZ25vbWUtc2Vz
c2lvbi1iaW5hcnlbODYyXTogV0FSTklORzogR3NtU2Vzc2lvblNhdmU6IEZhaWxlZCB0byBj
cmVhdGUgZGlyZWN0b3J5IC92YXIvbGliL2dkbS8uY29uZmlnL2dub21lLXNlc3Npb24vc2F2
ZWQtc2Vzc2lvbjogUGVybWlzc2lvbiBkZW5pZWQKZ25vbWUtc2Vzc2lvbi1iaW5hcnlbODYy
XTogV0FSTklORzogVW5hYmxlIHRvIGZpbmQgcmVxdWlyZWQgY29tcG9uZW50ICdvcmcuZ25v
bWUuU2V0dGluZ3NEYWVtb24uQ29sb3InCmdub21lLXNlc3Npb24tYmluYXJ5Wzg2Ml06IFdB
Uk5JTkc6IEdzbVNlc3Npb25TYXZlOiBGYWlsZWQgdG8gY3JlYXRlIGRpcmVjdG9yeSAvdmFy
L2xpYi9nZG0vLmNvbmZpZy9nbm9tZS1zZXNzaW9uL3NhdmVkLXNlc3Npb246IFBlcm1pc3Np
b24gZGVuaWVkCmdub21lLXNlc3Npb24tYmluYXJ5Wzg2Ml06IFdBUk5JTkc6IFVuYWJsZSB0
byBmaW5kIHJlcXVpcmVkIGNvbXBvbmVudCAnb3JnLmdub21lLlNldHRpbmdzRGFlbW9uLkRh
dGV0aW1lJwpnbm9tZS1zZXNzaW9uLWJpbmFyeVs4NjJdOiBXQVJOSU5HOiBHc21TZXNzaW9u
U2F2ZTogRmFpbGVkIHRvIGNyZWF0ZSBkaXJlY3RvcnkgL3Zhci9saWIvZ2RtLy5jb25maWcv
Z25vbWUtc2Vzc2lvbi9zYXZlZC1zZXNzaW9uOiBQZXJtaXNzaW9uIGRlbmllZApnbm9tZS1z
ZXNzaW9uLWJpbmFyeVs4NjJdOiBXQVJOSU5HOiBVbmFibGUgdG8gZmluZCByZXF1aXJlZCBj
b21wb25lbnQgJ29yZy5nbm9tZS5TZXR0aW5nc0RhZW1vbi5Ib3VzZWtlZXBpbmcnCmdub21l
LXNlc3Npb24tYmluYXJ5Wzg2Ml06IFdBUk5JTkc6IEdzbVNlc3Npb25TYXZlOiBGYWlsZWQg
dG8gY3JlYXRlIGRpcmVjdG9yeSAvdmFyL2xpYi9nZG0vLmNvbmZpZy9nbm9tZS1zZXNzaW9u
L3NhdmVkLXNlc3Npb246IFBlcm1pc3Npb24gZGVuaWVkCmdub21lLXNlc3Npb24tYmluYXJ5
Wzg2Ml06IFdBUk5JTkc6IFVuYWJsZSB0byBmaW5kIHJlcXVpcmVkIGNvbXBvbmVudCAnb3Jn
Lmdub21lLlNldHRpbmdzRGFlbW9uLktleWJvYXJkJwpnbm9tZS1zZXNzaW9uLWJpbmFyeVs4
NjJdOiBXQVJOSU5HOiBHc21TZXNzaW9uU2F2ZTogRmFpbGVkIHRvIGNyZWF0ZSBkaXJlY3Rv
cnkgL3Zhci9saWIvZ2RtLy5jb25maWcvZ25vbWUtc2Vzc2lvbi9zYXZlZC1zZXNzaW9uOiBQ
ZXJtaXNzaW9uIGRlbmllZApnbm9tZS1zZXNzaW9uLWJpbmFyeVs4NjJdOiBXQVJOSU5HOiBV
bmFibGUgdG8gZmluZCByZXF1aXJlZCBjb21wb25lbnQgJ29yZy5nbm9tZS5TZXR0aW5nc0Rh
ZW1vbi5NZWRpYUtleXMnCmdub21lLXNlc3Npb24tYmluYXJ5Wzg2Ml06IFdBUk5JTkc6IEdz
bVNlc3Npb25TYXZlOiBGYWlsZWQgdG8gY3JlYXRlIGRpcmVjdG9yeSAvdmFyL2xpYi9nZG0v
LmNvbmZpZy9nbm9tZS1zZXNzaW9uL3NhdmVkLXNlc3Npb246IFBlcm1pc3Npb24gZGVuaWVk
Cmdub21lLXNlc3Npb24tYmluYXJ5Wzg2Ml06IFdBUk5JTkc6IFVuYWJsZSB0byBmaW5kIHJl
cXVpcmVkIGNvbXBvbmVudCAnb3JnLmdub21lLlNldHRpbmdzRGFlbW9uLlBvd2VyJwpnbm9t
ZS1zZXNzaW9uLWJpbmFyeVs4NjJdOiBXQVJOSU5HOiBHc21TZXNzaW9uU2F2ZTogRmFpbGVk
IHRvIGNyZWF0ZSBkaXJlY3RvcnkgL3Zhci9saWIvZ2RtLy5jb25maWcvZ25vbWUtc2Vzc2lv
bi9zYXZlZC1zZXNzaW9uOiBQZXJtaXNzaW9uIGRlbmllZApnbm9tZS1zZXNzaW9uLWJpbmFy
eVs4NjJdOiBXQVJOSU5HOiBVbmFibGUgdG8gZmluZCByZXF1aXJlZCBjb21wb25lbnQgJ29y
Zy5nbm9tZS5TZXR0aW5nc0RhZW1vbi5QcmludE5vdGlmaWNhdGlvbnMnCmdub21lLXNlc3Np
b24tYmluYXJ5Wzg2Ml06IFdBUk5JTkc6IEdzbVNlc3Npb25TYXZlOiBGYWlsZWQgdG8gY3Jl
YXRlIGRpcmVjdG9yeSAvdmFyL2xpYi9nZG0vLmNvbmZpZy9nbm9tZS1zZXNzaW9uL3NhdmVk
LXNlc3Npb246IFBlcm1pc3Npb24gZGVuaWVkCmdub21lLXNlc3Npb24tYmluYXJ5Wzg2Ml06
IFdBUk5JTkc6IFVuYWJsZSB0byBmaW5kIHJlcXVpcmVkIGNvbXBvbmVudCAnb3JnLmdub21l
LlNldHRpbmdzRGFlbW9uLlJma2lsbCcKZ25vbWUtc2Vzc2lvbi1iaW5hcnlbODYyXTogV0FS
TklORzogR3NtU2Vzc2lvblNhdmU6IEZhaWxlZCB0byBjcmVhdGUgZGlyZWN0b3J5IC92YXIv
bGliL2dkbS8uY29uZmlnL2dub21lLXNlc3Npb24vc2F2ZWQtc2Vzc2lvbjogUGVybWlzc2lv
biBkZW5pZWQKZ25vbWUtc2Vzc2lvbi1iaW5hcnlbODYyXTogV0FSTklORzogVW5hYmxlIHRv
IGZpbmQgcmVxdWlyZWQgY29tcG9uZW50ICdvcmcuZ25vbWUuU2V0dGluZ3NEYWVtb24uU2Ny
ZWVuc2F2ZXJQcm94eScKZ25vbWUtc2Vzc2lvbi1iaW5hcnlbODYyXTogV0FSTklORzogR3Nt
U2Vzc2lvblNhdmU6IEZhaWxlZCB0byBjcmVhdGUgZGlyZWN0b3J5IC92YXIvbGliL2dkbS8u
Y29uZmlnL2dub21lLXNlc3Npb24vc2F2ZWQtc2Vzc2lvbjogUGVybWlzc2lvbiBkZW5pZWQK
Z25vbWUtc2Vzc2lvbi1iaW5hcnlbODYyXTogV0FSTklORzogVW5hYmxlIHRvIGZpbmQgcmVx
dWlyZWQgY29tcG9uZW50ICdvcmcuZ25vbWUuU2V0dGluZ3NEYWVtb24uU2hhcmluZycKZ25v
bWUtc2Vzc2lvbi1iaW5hcnlbODYyXTogV0FSTklORzogR3NtU2Vzc2lvblNhdmU6IEZhaWxl
ZCB0byBjcmVhdGUgZGlyZWN0b3J5IC92YXIvbGliL2dkbS8uY29uZmlnL2dub21lLXNlc3Np
b24vc2F2ZWQtc2Vzc2lvbjogUGVybWlzc2lvbiBkZW5pZWQKZ25vbWUtc2Vzc2lvbi1iaW5h
cnlbODYyXTogV0FSTklORzogVW5hYmxlIHRvIGZpbmQgcmVxdWlyZWQgY29tcG9uZW50ICdv
cmcuZ25vbWUuU2V0dGluZ3NEYWVtb24uU21hcnRjYXJkJwpnbm9tZS1zZXNzaW9uLWJpbmFy
eVs4NjJdOiBXQVJOSU5HOiBHc21TZXNzaW9uU2F2ZTogRmFpbGVkIHRvIGNyZWF0ZSBkaXJl
Y3RvcnkgL3Zhci9saWIvZ2RtLy5jb25maWcvZ25vbWUtc2Vzc2lvbi9zYXZlZC1zZXNzaW9u
OiBQZXJtaXNzaW9uIGRlbmllZApnbm9tZS1zZXNzaW9uLWJpbmFyeVs4NjJdOiBXQVJOSU5H
OiBVbmFibGUgdG8gZmluZCByZXF1aXJlZCBjb21wb25lbnQgJ29yZy5nbm9tZS5TZXR0aW5n
c0RhZW1vbi5Tb3VuZCcKZ25vbWUtc2Vzc2lvbi1iaW5hcnlbODYyXTogV0FSTklORzogR3Nt
U2Vzc2lvblNhdmU6IEZhaWxlZCB0byBjcmVhdGUgZGlyZWN0b3J5IC92YXIvbGliL2dkbS8u
Y29uZmlnL2dub21lLXNlc3Npb24vc2F2ZWQtc2Vzc2lvbjogUGVybWlzc2lvbiBkZW5pZWQK
Z25vbWUtc2Vzc2lvbi1iaW5hcnlbODYyXTogV0FSTklORzogVW5hYmxlIHRvIGZpbmQgcmVx
dWlyZWQgY29tcG9uZW50ICdvcmcuZ25vbWUuU2V0dGluZ3NEYWVtb24uV2Fjb20nCkNhbm5v
dCBvcGVuIGRpc3BsYXk6IApVbmFibGUgdG8gaW5pdCBzZXJ2ZXI6IENvdWxkIG5vdCBjb25u
ZWN0OiBDb25uZWN0aW9uIHJlZnVzZWQKQ2Fubm90IG9wZW4gZGlzcGxheTogCmdub21lLXNl
c3Npb24tYmluYXJ5Wzg2Ml06IFdBUk5JTkc6IEFwcCAnb3JnLmdub21lLlNldHRpbmdzRGFl
bW9uLlhTZXR0aW5ncy5kZXNrdG9wJyBleGl0ZWQgd2l0aCBjb2RlIDEKZ25vbWUtc2Vzc2lv
bi1iaW5hcnlbODYyXTogV0FSTklORzogQXBwICdvcmcuZ25vbWUuU2V0dGluZ3NEYWVtb24u
S2V5Ym9hcmQuZGVza3RvcCcgZXhpdGVkIHdpdGggY29kZSAxClVuYWJsZSB0byBpbml0IHNl
cnZlcjogQ291bGQgbm90IGNvbm5lY3Q6IENvbm5lY3Rpb24gcmVmdXNlZApDYW5ub3Qgb3Bl
biBkaXNwbGF5OiAKVW5hYmxlIHRvIGluaXQgc2VydmVyOiBDb3VsZCBub3QgY29ubmVjdDog
Q29ubmVjdGlvbiByZWZ1c2VkCkNhbm5vdCBvcGVuIGRpc3BsYXk6IApnbm9tZS1zZXNzaW9u
LWJpbmFyeVs4NjJdOiBXQVJOSU5HOiBBcHAgJ29yZy5nbm9tZS5TZXR0aW5nc0RhZW1vbi5D
b2xvci5kZXNrdG9wJyBleGl0ZWQgd2l0aCBjb2RlIDEKVW5hYmxlIHRvIGluaXQgc2VydmVy
OiBDb3VsZCBub3QgY29ubmVjdDogQ29ubmVjdGlvbiByZWZ1c2VkCkNhbm5vdCBvcGVuIGRp
c3BsYXk6IApnbm9tZS1zZXNzaW9uLWJpbmFyeVs4NjJdOiBXQVJOSU5HOiBBcHAgJ29yZy5n
bm9tZS5TZXR0aW5nc0RhZW1vbi5NZWRpYUtleXMuZGVza3RvcCcgZXhpdGVkIHdpdGggY29k
ZSAxCmdub21lLXNlc3Npb24tYmluYXJ5Wzg2Ml06IFdBUk5JTkc6IEFwcCAnb3JnLmdub21l
LlNldHRpbmdzRGFlbW9uLlBvd2VyLmRlc2t0b3AnIGV4aXRlZCB3aXRoIGNvZGUgMQpVbmFi
bGUgdG8gaW5pdCBzZXJ2ZXI6IENvdWxkIG5vdCBjb25uZWN0OiBDb25uZWN0aW9uIHJlZnVz
ZWQKQ2Fubm90IG9wZW4gZGlzcGxheTogCmdub21lLXNlc3Npb24tYmluYXJ5Wzg2Ml06IFdB
Uk5JTkc6IEFwcCAnb3JnLmdub21lLlNldHRpbmdzRGFlbW9uLldhY29tLmRlc2t0b3AnIGV4
aXRlZCB3aXRoIGNvZGUgMQpkYnVzLWRhZW1vbls4NjFdOiBbc2Vzc2lvbiB1aWQ9OTcwIHBp
ZD04NjFdIEFjdGl2YXRpbmcgc2VydmljZSBuYW1lPSdvcmcuZ25vbWUuU2NyZWVuU2F2ZXIn
IHJlcXVlc3RlZCBieSAnOjEuNScgKHVpZD05NzAgcGlkPTg5MSBjb21tPSIvZ251L3N0b3Jl
LzN5aHA0dnphZGg3MXFhbmFhNWRmem1namdnc24zcGs2LWdub21lLSIpCgooZ3NkLXNoYXJp
bmc6ODg5KTogc2hhcmluZy1wbHVnaW4tV0FSTklORyAqKjogMjE6NTU6MzQuNTYzOiBGYWls
ZWQgdG8gU3RvcFVuaXQgc2VydmljZTogR0RCdXMuRXJyb3I6b3JnLmZyZWVkZXNrdG9wLkRC
dXMuRXJyb3IuU2VydmljZVVua25vd246IFRoZSBuYW1lIG9yZy5mcmVlZGVza3RvcC5zeXN0
ZW1kMSB3YXMgbm90IHByb3ZpZGVkIGJ5IGFueSAuc2VydmljZSBmaWxlcwoKKGdzZC1zaGFy
aW5nOjg4OSk6IHNoYXJpbmctcGx1Z2luLVdBUk5JTkcgKio6IDIxOjU1OjM0LjU2MzogRmFp
bGVkIHRvIFN0b3BVbml0IHNlcnZpY2U6IEdEQnVzLkVycm9yOm9yZy5mcmVlZGVza3RvcC5E
QnVzLkVycm9yLlNlcnZpY2VVbmtub3duOiBUaGUgbmFtZSBvcmcuZnJlZWRlc2t0b3Auc3lz
dGVtZDEgd2FzIG5vdCBwcm92aWRlZCBieSBhbnkgLnNlcnZpY2UgZmlsZXMKCihnc2Qtc2hh
cmluZzo4ODkpOiBzaGFyaW5nLXBsdWdpbi1XQVJOSU5HICoqOiAyMTo1NTozNC41NjM6IEZh
aWxlZCB0byBTdG9wVW5pdCBzZXJ2aWNlOiBHREJ1cy5FcnJvcjpvcmcuZnJlZWRlc2t0b3Au
REJ1cy5FcnJvci5TZXJ2aWNlVW5rbm93bjogVGhlIG5hbWUgb3JnLmZyZWVkZXNrdG9wLnN5
c3RlbWQxIHdhcyBub3QgcHJvdmlkZWQgYnkgYW55IC5zZXJ2aWNlIGZpbGVzCmRidXMtZGFl
bW9uWzg2MV06IFtzZXNzaW9uIHVpZD05NzAgcGlkPTg2MV0gU3VjY2Vzc2Z1bGx5IGFjdGl2
YXRlZCBzZXJ2aWNlICdvcmcuZ25vbWUuU2NyZWVuU2F2ZXInCmdub21lLXNlc3Npb24tYmlu
YXJ5Wzg2Ml06IEdMaWItQ1JJVElDQUw6IGdfdmFyaWFudF9nZXQ6IGFzc2VydGlvbiAndmFs
dWUgIT0gTlVMTCcgZmFpbGVkCgooZ3NkLXVzYi1wcm90ZWN0aW9uOjg5MSk6IHVzYi1wcm90
ZWN0aW9uLXBsdWdpbi1XQVJOSU5HICoqOiAyMTo1NTozNC42MTA6IEZhaWxlZCB0byBnZXQg
c2NyZWVuIHNhdmVyIHN0YXR1czogR0RCdXMuRXJyb3I6b3JnLmZyZWVkZXNrdG9wLkRCdXMu
RXJyb3IuTm9SZXBseTogTWVzc2FnZSByZWNpcGllbnQgZGlzY29ubmVjdGVkIGZyb20gbWVz
c2FnZSBidXMgd2l0aG91dCByZXBseWluZwoKKGdzZC11c2ItcHJvdGVjdGlvbjo4OTEpOiB1
c2ItcHJvdGVjdGlvbi1wbHVnaW4tV0FSTklORyAqKjogMjE6NTU6MzQuNjExOiBGYWlsZWQg
dG8gZmV0Y2ggVVNCR3VhcmQgcGFyYW1ldGVyczogR0RCdXMuRXJyb3I6b3JnLmZyZWVkZXNr
dG9wLkRCdXMuRXJyb3IuU2VydmljZVVua25vd246IFRoZSBuYW1lIG9yZy51c2JndWFyZDEg
d2FzIG5vdCBwcm92aWRlZCBieSBhbnkgLnNlcnZpY2UgZmlsZXMKCihnc2Qtc2hhcmluZzo4
ODkpOiBzaGFyaW5nLXBsdWdpbi1XQVJOSU5HICoqOiAyMTo1NTozNy4yMDg6IEZhaWxlZCB0
byBTdG9wVW5pdCBzZXJ2aWNlOiBHREJ1cy5FcnJvcjpvcmcuZnJlZWRlc2t0b3AuREJ1cy5F
cnJvci5TZXJ2aWNlVW5rbm93bjogVGhlIG5hbWUgb3JnLmZyZWVkZXNrdG9wLnN5c3RlbWQx
IHdhcyBub3QgcHJvdmlkZWQgYnkgYW55IC5zZXJ2aWNlIGZpbGVzCgooZ3NkLXNoYXJpbmc6
ODg5KTogc2hhcmluZy1wbHVnaW4tV0FSTklORyAqKjogMjE6NTU6MzcuMjA4OiBGYWlsZWQg
dG8gU3RvcFVuaXQgc2VydmljZTogR0RCdXMuRXJyb3I6b3JnLmZyZWVkZXNrdG9wLkRCdXMu
RXJyb3IuU2VydmljZVVua25vd246IFRoZSBuYW1lIG9yZy5mcmVlZGVza3RvcC5zeXN0ZW1k
MSB3YXMgbm90IHByb3ZpZGVkIGJ5IGFueSAuc2VydmljZSBmaWxlcwoKKGdzZC1zaGFyaW5n
Ojg4OSk6IHNoYXJpbmctcGx1Z2luLVdBUk5JTkcgKio6IDIxOjU1OjM3LjIwODogRmFpbGVk
IHRvIFN0b3BVbml0IHNlcnZpY2U6IEdEQnVzLkVycm9yOm9yZy5mcmVlZGVza3RvcC5EQnVz
LkVycm9yLlNlcnZpY2VVbmtub3duOiBUaGUgbmFtZSBvcmcuZnJlZWRlc2t0b3Auc3lzdGVt
ZDEgd2FzIG5vdCBwcm92aWRlZCBieSBhbnkgLnNlcnZpY2UgZmlsZXMKZ25vbWUtc2Vzc2lv
bi1iaW5hcnlbODYyXTogV0FSTklORzogTG9zdCBuYW1lIG9uIGJ1czogb3JnLmdub21lLlNl
c3Npb25NYW5hZ2VyCgooZ3NkLXNtYXJ0Y2FyZDo4OTcpOiBHTGliLUdJTy1XQVJOSU5HICoq
OiAyMTo1ODowMS4zNDM6IEVycm9yIHJlbGVhc2luZyBuYW1lIG9yZy5nbm9tZS5TZXR0aW5n
c0RhZW1vbi5TbWFydGNhcmQ6IFRoZSBjb25uZWN0aW9uIGlzIGNsb3NlZAoKKGdzZC1zb3Vu
ZDo5MDUpOiBHTGliLUdJTy1XQVJOSU5HICoqOiAyMTo1ODowMS4zNDM6IEVycm9yIHJlbGVh
c2luZyBuYW1lIG9yZy5nbm9tZS5TZXR0aW5nc0RhZW1vbi5Tb3VuZDogVGhlIGNvbm5lY3Rp
b24gaXMgY2xvc2VkCgooZ3NkLWRhdGV0aW1lOjkxNyk6IEdMaWItR0lPLVdBUk5JTkcgKio6
IDIxOjU4OjAxLjM0MzogRXJyb3IgcmVsZWFzaW5nIG5hbWUgb3JnLmdub21lLlNldHRpbmdz
RGFlbW9uLkRhdGV0aW1lOiBUaGUgY29ubmVjdGlvbiBpcyBjbG9zZWQKCihnc2Qtd3dhbjo4
OTgpOiBHTGliLUdJTy1XQVJOSU5HICoqOiAyMTo1ODowMS4zNDM6IEVycm9yIHJlbGVhc2lu
ZyBuYW1lIG9yZy5nbm9tZS5TZXR0aW5nc0RhZW1vbi5Xd2FuOiBUaGUgY29ubmVjdGlvbiBp
cyBjbG9zZWQKCihnc2Qtc2NyZWVuc2F2ZXItcHJveHk6OTAzKTogR0xpYi1HSU8tV0FSTklO
RyAqKjogMjE6NTg6MDEuMzQ0OiBFcnJvciByZWxlYXNpbmcgbmFtZSBvcmcuZnJlZWRlc2t0
b3AuU2NyZWVuU2F2ZXI6IFRoZSBjb25uZWN0aW9uIGlzIGNsb3NlZAoKKGdzZC1hMTF5LXNl
dHRpbmdzOjkxMCk6IEdMaWItR0lPLVdBUk5JTkcgKio6IDIxOjU4OjAxLjM0NDogRXJyb3Ig
cmVsZWFzaW5nIG5hbWUgb3JnLmdub21lLlNldHRpbmdzRGFlbW9uLkExMXlTZXR0aW5nczog
VGhlIGNvbm5lY3Rpb24gaXMgY2xvc2VkCg==

--------------q7gX455fr4Xqh0V8hQ7VnE7m--




Acknowledgement sent to Grigory Shepelev <shegeley@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#57589; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 6 Sep 2022 11:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.